<?php
  ## Lauren Bricker
  ## CS 154
  ## common.php
  ## Helper functions for the todo list web service.

  error_reporting(E_ALL);
  ini_set('display_errors', 1);

  # Flag to set debugging on or off - we want to set this to FALSE for
  # our "production" system to avoid having a user see too much about our
  # implementation, but when we are having trouble, try setting this to TRUE
  $debug = FALSE;

  # Variables for connections to the database.
  $host =  'localhost';
  $port = '3306';
  $user = 'root';
  $password = 'root';
  $dbname = 'potluck';

  # Make a data source string that will be used in creating the PDO object
  $ds = "mysql:host={$host}:{$port};dbname={$dbname};charset=utf8";

  #
  # Function to print an error message and, depending on the debug flag
  # set in the configuration file, add the exception error information.
  #
  # param $msg The 400 error message to print as plain text
  # param $ex The exception that is being passed in to this function, which will be
  #            printed if the global $debug flag is set to true. This can be null as well
  function error_message($msg, $ex) {
    global $debug;

    header("HTTP/1.1 400 Invalid Request");
    header("Content-Type: text/plain");
    if ($debug) {
      $msg .= "\n Error details: $ex \n";
    }
    print($msg);
    die();
  }

?>
